## class UpdateTypeCmd : public Command

> command for converting things to a different type

## Inheritance:

### Public Methods

  | UpdateTypeCmd (ShapeView *v, List<int *> *fromTypes, int toType)
  virtual | ~UpdateTypeCmd ()
  void | Execute ()
  void | UnExecute ()
  const char* | GetName () const

### Protected Fields

  List <Thing *> * | oldThings
  List <Thing *> * | newThings
  int | toType
  List <int*> | fromTypes
  ShapeView* | view
  Diagram* | diagram

### Protected Methods

  virtual Thing* | Transform (Thing *thing)
  virtual void | Reverse (Thing *oldThing, Thing *newThing)
  void | TransformAll ()

### Inherited from Command:

### Public Classes

enum TrackType

### Public Methods

virtual void TrackMouse(TrackType, Point*, Point*, Point*)
virtual void ReExecute()
virtual void Abort()
bool CmdDone() const
int ScaleCorrect(int x) const
Point ScaleCorrect(const Point *pt) const
int Scale(int x) const
Point Scale(const Point *pt) const
void SayAborted()

### Protected Methods

void SayCommited()
void SayUndone()
DrawWindow* GetMainWindow() const
Viewer* GetViewer() const
Document* GetDocument() const
Grafport* GetGrafport() const
void SetCmdDone(bool b)

## Documentation

> command for converting things to a different type

`UpdateTypeCmd(ShapeView *v, List<int *> *fromTypes, int toType)`

`virtual ~UpdateTypeCmd()`

`void Execute()`

`void UnExecute()`

`const char* GetName() const`

`virtual Thing* Transform(Thing *thing)`

`virtual void Reverse(Thing *oldThing, Thing *newThing)`

`List <Thing *> * oldThings`

`List <Thing *> * newThings`

`int toType`

`List <int*> fromTypes`

`ShapeView* view`

`Diagram* diagram`

`void TransformAll()`

Direct child classes:
  UpdateNodeShapeTypeCmd

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de